@ECHO OFF 

REM Map a network drive to prevent the Windows filepath limit from breaking packaging
NET USE V: "\\NETWORK\Adobe CC\"
ECHO Mapped the V: drive to "\\NETWORK\Adobe CC\"

REM Call Powershell to script the automatic update of the XML file that controls package versions -- All Packages
powershell -ExecutionPolicy Bypass "C:\Development\Powershell\Automate-AdobeCCPackaging.ps1 -PackageName 'All Applications' -PackageApplication 'All' -OutputLocation 'V:' -Template 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation_Template.xml' -AutomationXML 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml'"

REM Run the PDapp commandline to use custom XML file to automate package generation
ECHO Running Adobe PDapp with automation switches and packaging ALL CC applications
"C:\Program Files (x86)\Common Files\Adobe\OOBE\PDApp\core\PDapp.exe" --appletID=CCP_UI --appletVersion=1.0 --workflow=ccp --automationMode=ccp_automation --pkgConfigFile="C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml"


REM Call Powershell to script the automatic update of the XML file that controls package versions -- After Effects
powershell -ExecutionPolicy Bypass "C:\Development\Powershell\Automate-AdobeCCPackaging.ps1 -PackageName 'After Effects' -PackageApplication 'After Effects' -OutputLocation 'V:' -Template 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation_Template.xml' -AutomationXML 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml'"

REM Run the PDapp commandline to use custom XML file to automate package generation
ECHO Running Adobe PDapp with automation switches and packaging After Effects
"C:\Program Files (x86)\Common Files\Adobe\OOBE\PDApp\core\PDapp.exe" --appletID=CCP_UI --appletVersion=1.0 --workflow=ccp --automationMode=ccp_automation --pkgConfigFile="C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml"


REM Call Powershell to script the automatic update of the XML file that controls package versions -- Illustrator
powershell -ExecutionPolicy Bypass "C:\Development\Powershell\Automate-AdobeCCPackaging.ps1 -PackageName 'Illustrator' -PackageApplication 'Illustrator' -OutputLocation 'V:' -Template 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation_Template.xml' -AutomationXML 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml'"

REM Run the PDapp commandline to use custom XML file to automate package generation
ECHO Running Adobe PDapp with automation switches and packaging Illustrator
"C:\Program Files (x86)\Common Files\Adobe\OOBE\PDApp\core\PDapp.exe" --appletID=CCP_UI --appletVersion=1.0 --workflow=ccp --automationMode=ccp_automation --pkgConfigFile="C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml"


REM Call Powershell to script the automatic update of the XML file that controls package versions -- InDesign
powershell -ExecutionPolicy Bypass "C:\Development\Powershell\Automate-AdobeCCPackaging.ps1 -PackageName 'InDesign' -PackageApplication 'InDesign' -OutputLocation 'V:' -Template 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation_Template.xml' -AutomationXML 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml'"

REM Run the PDapp commandline to use custom XML file to automate package generation
ECHO Running Adobe PDapp with automation switches and packaging InDesign
"C:\Program Files (x86)\Common Files\Adobe\OOBE\PDApp\core\PDapp.exe" --appletID=CCP_UI --appletVersion=1.0 --workflow=ccp --automationMode=ccp_automation --pkgConfigFile="C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml"


REM Call Powershell to script the automatic update of the XML file that controls package versions -- InDesign
powershell -ExecutionPolicy Bypass "C:\Development\Powershell\Automate-AdobeCCPackaging.ps1 -PackageName 'Lightroom Classic' -PackageApplication 'Lightroom Classic' -OutputLocation 'V:' -Template 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation_Template.xml' -AutomationXML 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml'"

REM Run the PDapp commandline to use custom XML file to automate package generation
ECHO Running Adobe PDapp with automation switches and packaging Lightroom Classic CC
"C:\Program Files (x86)\Common Files\Adobe\OOBE\PDApp\core\PDapp.exe" --appletID=CCP_UI --appletVersion=1.0 --workflow=ccp --automationMode=ccp_automation --pkgConfigFile="C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml"


REM Call Powershell to script the automatic update of the XML file that controls package versions -- Photoshop
powershell -ExecutionPolicy Bypass "C:\Development\Powershell\Automate-AdobeCCPackaging.ps1 -PackageName 'Photoshop' -PackageApplication 'Photoshop' -OutputLocation 'V:' -Template 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation_Template.xml' -AutomationXML 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml'"

REM Run the PDapp commandline to use custom XML file to automate package generation
ECHO Running Adobe PDapp with automation switches and packaging PhotoShop
"C:\Program Files (x86)\Common Files\Adobe\OOBE\PDApp\core\PDapp.exe" --appletID=CCP_UI --appletVersion=1.0 --workflow=ccp --automationMode=ccp_automation --pkgConfigFile="C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml"


REM Call Powershell to script the automatic update of the XML file that controls package versions -- PremierePro
powershell -ExecutionPolicy Bypass "C:\Development\Powershell\Automate-AdobeCCPackaging.ps1 -PackageName 'PremierePro' -PackageApplication 'Premiere Pro' -OutputLocation 'V:' -Template 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation_Template.xml' -AutomationXML 'C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml'"

REM Run the PDapp commandline to use custom XML file to automate package generation
ECHO Running Adobe PDapp with automation switches and packaging Premiere Pro
"C:\Program Files (x86)\Common Files\Adobe\OOBE\PDApp\core\PDapp.exe" --appletID=CCP_UI --appletVersion=1.0 --workflow=ccp --automationMode=ccp_automation --pkgConfigFile="C:\Development\Powershell\SCCM\Adobe CC\Adobe-Packaging-Automation.xml"

REM Remove the mapped netowrk drive
NET USE V: /delete
ECHO Removed the V: drive mapping
